// -- Typography

.cui-text-left { text-align: left !important; }
.cui-text-center { text-align: center !important; }
.cui-text-right { text-align: right !important; }

.cui-ellipsis {
  @include cui-ellipsis();
}
@for $i from 1 through 5 {
  .cui-ellipsis-#{$i} {
    @include cui-ellipsis($i);
  }
}

.cui-select {
  @include cui-select();
}

.cui-no-select {
  @include cui-no-select();
}

.cui-break-word {
  @include cui-break-word();
}

// -- Aspect ratios

$aspect-ratios: (
  "1x1": 100%,
  "3x1": calc(1 / 3 * 100%),
  "6x1": calc(1 / 6 * 100%),
  "4x3": calc(3 / 4 * 100%),
  "16x9": calc(9 / 16 * 100%),
  "21x9": calc(9 / 21 * 100%)
);

.cui-ratio {
  @include cui-ratio(var(--cui-aspect-ratio));
}

@each $key, $ratio in $aspect-ratios {
  .cui-ratio-#{$key} {
    --cui-aspect-ratio: #{$ratio};
  }
}

// -- Visibility

.cui-visually-hidden,
.cui-visually-hidden-focusable:not(:focus):not(:focus-within) {
  @include cui-visually-hidden();
}

// -- Display

$-display-props: none, inline, inline-block, block, grid, flex, inline-flex;

@each $prop in $-display-props {
  .cui-d-#{$prop} {
    display: $prop !important;
  }
}

@each $key, $value in $breakpoints {
  @include from($key) {
    @each $prop in $-display-props {
      .cui-d-#{$prop}\:#{$key} {
        display: $prop !important;
      }
    }
  }
}
